# -*- coding: utf-8 -*-
# $Id$

contest_time = 0
score_system = kirov
board_fog_time = 0
board_unfog_time = 0
standings_locale = "Russian"

compile_dir = "../../compile/var/compile"

team_enable_src_view
team_enable_rep_view
team_enable_ce_view
team_show_judge_report
ignore_compile_errors
show_judge_identity
problem_navigation


compile_max_vm_size = 768M
compile_max_file_size = 32M

standings_file_name = "023141.html"
stand_symlink_dir = "ejudge/standings"
external_xml_update_time = 20

stand_fancy_style
stand_table_attr = " border=1 cellspacing=1 celpadding=3"
stand_place_attr = " align=\"right\""
stand_team_attr = " align=\"left\""
stand_prob_attr = " align=\"center\""
stand_solved_attr = " align=\"center\""
stand_penalty_attr = " align=\"right\""
stand_fail_attr = " align=center bgcolor=\"#ff8888\""
stand_trans_attr = " align=center bgcolor=\"#ffff88\""
stand_disq_attr = " align=center bgcolor=\"#ffaaaa\""

rounding_mode = floor
cr_serialization_key = 22723
show_astr_time
secure_run
enable_memory_limit_error
advanced_layout
ignore_bom
enable_max_stack_size
enable_l10n
team_download_time = 0
cpu_bogomips = 3330
clardb_plugin = "mysql"
rundb_plugin = "mysql"

test_sfx = ".dat"
corr_sfx = ".ans"

[language]
id = 1
short_name = "fpc"
long_name = "Free Pascal 2.6.4"
src_sfx = ".pas"

[language]
id = 3
short_name = "g++"
long_name = "GNU C++ 5.1.1"
src_sfx = ".cpp"

[language]
id = 8
short_name = "dcc"
long_name = "Borland Delphi 6 (Kylix) 14.5"
src_sfx = ".pas"

[language]
id = 13
short_name = "python"
long_name = "Python 2.7.6"
arch = "linux-shared"
src_sfx = ".py"

[language]
id = 18
short_name = "javac"
long_name = "Java JDK 1.8.0_45"
arch = "java"
src_sfx = ".java"
exe_sfx = ".jar"

[language]
id = 19
short_name = "mcs"
long_name = "Mono C# 2.10.11.0"
arch = "msil"
src_sfx = ".cs"
exe_sfx = ".exe"
disable_security

[language]
id = 23
short_name = "python3"
long_name = "Python 3.3.1"
arch = "linux-shared"
src_sfx = ".py"

[language]
id = 52
short_name = "clang++"
long_name = "clang C++ 3.3"
src_sfx = ".cpp"

[language]
id = 55
short_name = "pasabc-linux"
long_name = "Pascal ABC.NET (Mono)"
arch = "msil"
src_sfx = ".pas"
exe_sfx = ".exe"
disable_security

[language]
id = 64
short_name = "pypy3"
long_name = "Python3 (PyPy) 3.2.5"
arch = "linux-shared"
src_sfx = ".py"
disable_security

[problem]
abstract
short_name = "Generic"
use_stdin
input_file = "%lPs.in"
use_stdout
output_file = "%lPs.out"
test_dir = "%Ps"
test_pat = "%02d"
use_corr
corr_dir = "%Ps"
corr_pat = "%02d.a"
time_limit = 1
real_time_limit = 10
checker_real_time_limit = 10
max_vm_size = 256M
max_stack_size = 256M
max_file_size = 256M
check_cmd = "check"
ignore_prev_ac
hide_real_time_limit

[problem]
id = 1
super = "Generic"
short_name = "A"
long_name = "A"
test_pat = "%02d"
corr_pat = "%02d.a"
time_limit = 5
real_time_limit = 30
max_vm_size = 256M
test_score = 50

[problem]
id = 2
super = "Generic"
short_name = "B"
long_name = "B"
test_pat = "%02d"
corr_pat = "%02d.a"
time_limit = 5
real_time_limit = 30
max_vm_size = 256M
test_score = 50

[problem]
id = 3
super = "Generic"
short_name = "C"
long_name = "C"
test_pat = "%02d"
corr_pat = "%02d.a"
time_limit = 20
real_time_limit = 30
max_vm_size = 256M
test_score = 50

[problem]
id = 4
super = "Generic"
short_name = "D"
long_name = "D"
test_pat = "%02d"
corr_pat = "%02d.a"
time_limit = 5
real_time_limit = 30
max_vm_size = 256M
test_score = 50

[problem]
id = 5
super = "Generic"
short_name = "E"
long_name = "E"
test_pat = "%02d"
corr_pat = "%02d.a"
time_limit = 25
real_time_limit = 30
max_vm_size = 256M
test_score = 50

[problem]
id = 6
super = "Generic"
short_name = "F"
long_name = "F"
test_pat = "%02d"
corr_pat = "%02d.a"
time_limit = 5
real_time_limit = 30
max_vm_size = 256M
test_score = 50

[tester]
name = Generic
arch = ""
abstract
no_core_dump
enable_memory_limit_error
kill_signal = KILL
memory_limit_type = "default"
secure_exec_type = "static"
clear_env
start_env = "PATH=/usr/local/bin:/usr/bin:/bin"
start_env = "HOME"
check_dir = "/var/run/ejudge/work-disk/work"

[tester]
name = Linux-shared
arch = "linux-shared"
abstract
no_core_dump
enable_memory_limit_error
kill_signal = KILL
memory_limit_type = "default"
secure_exec_type = "dll"
clear_env
start_env = "PATH=/usr/local/bin:/usr/bin:/bin"
start_env = "HOME"
start_env = "PYTHONHOME=/usr"
check_dir = "/var/run/ejudge/work-disk/work"

[tester]
name = Linux-java
arch = "java"
abstract
no_core_dump
kill_signal = TERM
memory_limit_type = "java"
secure_exec_type = "java"
start_cmd = "runjava"
start_env = "LANG=C"
start_env = "EJUDGE_PREFIX_DIR"
check_dir = "/var/run/ejudge/work-disk/work"

[tester]
name = Linux-msil
arch = "msil"
abstract
no_core_dump
kill_signal = TERM
start_cmd = "runmono"
start_env = "LANG=C"
start_env = "EJUDGE_PREFIX_DIR"
check_dir = "/var/run/ejudge/work-disk/work"

[tester]
any
super = Generic

[tester]
any
super = Linux-shared
arch = linux-shared

[tester]
any
super = Linux-java
arch = java

[tester]
any
super = Linux-msil
arch = msil

# audit: edited 2015/07/23 23:55:50 3521 (Belonogov) 10.0.4.220
# audit: edited 2015/07/24 10:34:35 3521 (Belonogov) 10.0.4.220
# audit: edited 2015/07/24 10:41:41 3521 (Belonogov) 10.0.4.220
